#pragma once

#ifndef VC_EXTRALEAN
#define VC_EXTRALEAN
#endif

#ifndef WINVER
#define WINVER 0x0502
#endif

#ifndef _WIN32_WINNT
#define _WIN32_WINNT 0x0502
#endif

#ifndef _WIN32_WINDOWS
#define _WIN32_WINDOWS 0x0502
#endif

#ifndef _WIN32_IE
#define _WIN32_IE 0x0600
#endif

//#define WINUSBWRAPPERS_MFC_EXTENSIONS //Uncomment this try out the MFC integration in WinUSBWrappers

#ifdef WINUSBWRAPPERS_MFC_EXTENSIONS
//Pull in support for MFC
#include <afxwin.h>
#include <afxext.h>
#include <afxtempl.h>
#else
#include <windows.h>
#endif //#ifdef WINUSBWRAPPERS_MFC_EXTENSIONS

//Pull in support for ATL
#include <atlbase.h>

//Pull in support for STL
#include <string>
#include <vector>


#ifdef WINUSBWRAPPERS_MFC_EXTENSIONS
#undef _MP //Work around a bug when mixing MFC and WinUSB (See http://stackoverflow.com/questions/30671389/include-winusb-h-produces-compiler-error-in-mfc-app for the details)
#endif
#include <winusb.h>
#include <setupapi.h>
